Remotehost Docs
API ReferenceSandboxes

Resume a sandbox

Deprecated

POST
/sandboxes/{sandboxId}/resume

Deprecated: use POST /sandboxes/{sandboxId}/wake.

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

sandboxId*string

Query Parameters

acknowledgeLostState?string

Value in

  • "true"
  • "false"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sandboxes/string/resume"
{  "sandbox": {    "id": "string",    "org_id": "string",    "project_id": "string",    "name": "string",    "agent": "claude",    "status": "provisioning",    "mode": "persistent",    "region": "string",    "persistence_policy": "throwaway_ephemeral",    "sandbox_profile": "string",    "machine_size": "small",    "provider": "string",    "vmm": "string",    "allocated_vcpu": 0,    "allocated_memory_gb": 0,    "allocated_disk_gb": 0,    "end_user_id": "string",    "vm_lost_at": "string",    "environment_id": "string",    "disk": {      "usedBytes": 0,      "totalBytes": 0,      "availableBytes": 0,      "warning": 80,      "sampledAt": "string"    },    "created_at": "string",    "updated_at": "string"  },  "repoWarnings": [    "string"  ]}